Skip to content
Proud to collaborate with Microsoft for Startups

docusign.users.put-users ​

This method updates the information about one or more account users.

Changes one or more users in the specified account.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
allow_all_languagesstringNo——
endpositionstringNo—The last index position in the result set.
nexturistringNo—The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.
previousuristringNo—The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.
resultsetsizestringNo—The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.
startpositionstringNo—The starting index position of the current result set.
totalsetsizestringNo—The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.
userslistNo—User management information.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
allow_all_languagesstringNo——
endpositionstringNo—The last index position in the result set.
nexturistringNo—The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.
previousuristringNo—The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.
resultsetsizestringNo—The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.
startpositionstringNo—The starting index position of the current result set.
totalsetsizestringNo—The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.
userslistNo—User management information.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/users
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/users
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.users.put-users",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}